/********************************************************* {COPYRIGHT-TOP} ***
 * Licensed Materials - Property of IBM
 * 5725-Z22, 5725-Z63, 5725-U33, 5725-Z63
 *
 * (C) Copyright IBM Corporation 2016, 2017
 *
 * All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 ********************************************************** {COPYRIGHT-END} **/
'use strict';

var RemoteApps = require('../util/remote-apps');
var g = require('strong-globalize')();
var util = require('util');

function BluemixSupport(options) {
  RemoteApps.call(this, options);
}
util.inherits(BluemixSupport, RemoteApps);

function noImpl(options) {
  throw new Error(g.f('Command is not available for applications hosted on {{Bluemix}}.'));
}

BluemixSupport.prototype.serviceStatus = noImpl;
BluemixSupport.prototype.servicesStart = noImpl;
BluemixSupport.prototype.servicesStop = noImpl;
BluemixSupport.prototype.propsClear = noImpl;
BluemixSupport.prototype.propsDelete = noImpl;
BluemixSupport.prototype.propsList = noImpl;
BluemixSupport.prototype.getProps = noImpl;
BluemixSupport.prototype.propsGet = noImpl;
BluemixSupport.prototype.propsSet = noImpl;

module.exports = {
  BluemixSupport: BluemixSupport,
};

